# Uses of Class
org.apache.wiki.htmltowiki.WhitespaceTrimWriter

Packages that use WhitespaceTrimWriter
Package
Description
org.apache.wiki.htmltowiki
HTML to wiki syntax translation related classes.
org.apache.wiki.htmltowiki.syntax
Package Specification
org.apache.wiki.htmltowiki.syntax.jspwiki
JSPWiki syntax decoration related classes.

## Uses of WhitespaceTrimWriter in org.apache.wiki.htmltowiki

Methods in org.apache.wiki.htmltowiki with parameters of type WhitespaceTrimWriter
Modifier and Type
Method
Description
`void`
SyntaxDecorator.`init(PrintWriter out, Deque<String> liStack, Deque<String> preStack, WhitespaceTrimWriter outTrimmer, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)`
Prepares the syntax decorator.

## Uses of WhitespaceTrimWriter in org.apache.wiki.htmltowiki.syntax

Fields in org.apache.wiki.htmltowiki.syntax declared as WhitespaceTrimWriter
Modifier and Type
Field
Description
`protected final WhitespaceTrimWriter`
TableDecorator.`outTrimmer`
`protected WhitespaceTrimWriter`
WikiSyntaxDecorator.`outTrimmer`
Constructors in org.apache.wiki.htmltowiki.syntax with parameters of type WhitespaceTrimWriter
Modifier
Constructor
Description
``
`TableDecorator(PrintWriter out, WhitespaceTrimWriter outTrimmer, XHtmlElementToWikiTranslator chain)`

## Uses of WhitespaceTrimWriter in org.apache.wiki.htmltowiki.syntax.jspwiki

Methods in org.apache.wiki.htmltowiki.syntax.jspwiki with parameters of type WhitespaceTrimWriter
Modifier and Type
Method
Description
`void`
JSPWikiSyntaxDecorator.`init(PrintWriter out, Deque<String> liStack, Deque<String> preStack, WhitespaceTrimWriter outTrimmer, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)`
Prepares the syntax decorator.